---
wsId: mybitstore
title: MyBitStore-Buy & Sell Bitcoin
altTitle: 
authors:
- danny
users: 1000
appId: app.mybitstore.com
appCountry: 
released: 2021-08-12
updated: 2022-05-19
version: '5.7'
stars: 4.3
ratings: 20
reviews: 2
size: 62M
website: https://mybitstore.com
repository: 
issue: 
icon: app.mybitstore.com.png
bugbounty: 
meta: ok
verdict: custodial
date: 2022-04-11
signer: 
reviewArchive: 
twitter: mybitstore
social:
- https://facebook.com/mybitstore
- https://instagram.com/mybitstore_app/
- https://youtube.com/channel/UCF2J6gWekpTk4jh63RbPVlw
redirect_from: 

---

## App Description

Similar to {% include walletLink.html wallet='android/com.localbitcoins.app.android' verdict='true' %} MyBitStore is a peer-to-peer trading marketplace for various cryptocurrencies including BTC, TRX, USDT TRC20, USDC TRC20, and TUSD TRC20. 

## Verdict 

There is a Bitcoin wallet generated upon account signup. KYC is also required. The menu options include:

- Buy/Sell
- P2P Trade
- Wallet
- Offers
- Chats

Users can send, receive or convert cryptocurrencies under the 'Wallet' menu. 

In P2P trade, users can either buy or sell different cryptocurrencies. Payment methods include Amazon Gift Cards, American Express, Apple Pay Gift Card, Bank Transfer, and more.

Users also have the choice to buy/sell directly with MyBitStore. However, this is country restricted.

We believe this service is a **custodial** service since there was no provision for the backup or restoration of mnemonic-phrases. Though this is not always the case, custodial accounts require KYC and user account details are synced between the web interface and the app. As such, the wallet for this app **cannot be verified**.
